XtParseTranslationTable(3Xt)

NAME
XtParseTranslationTable, XtAugmentTranslations, XtOverrideTranslations, XtUninstallTranslations - manage translation tables

SYNTAX
XtTranslations XtParseTranslationTable(table)
      String table;

void XtAugmentTranslations(w, translations)
      Widget w;
      XtTranslations translations;

void XtOverrideTranslations(w, translations)
      Widget w;
      XtTranslations translations;

void XtUninstallTranslations(w)
      Widget w;

ARGUMENTS

table
    Specifies the translation table to compile.

translations
    Specifies the compiled translation table to merge in (must not be NULL).

w   Specifies the widget into which the new translations are to be merged or removed.

DESCRIPTION
The function compiles the translation table into the opaque internal representation of type Note that if an empty translation table is required for any purpose, one can be obtained by calling and passing an empty string.

The function nondestructively merges the new translations into the existing widget translations. If the new translations contain an event or event sequence that already exists in the widget's translations, the new translation is ignored.

The function destructively merges the new translations into the existing widget translations. If the new translations contain an event or event sequence that already exists in the widget's translations, the new translation is merged in and override the widget's translation.

To replace a widget's translations completely, use on the XtNtranslations resource and specify a compiled translation table as the value.

The function causes the entire translation table for widget to be removed.

SEE ALSO
XtAppAddActions(3Xt), XtCreatePopupShell(3Xt), XtParseAcceleratorTable(3Xt), XtPopup(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface